Summary:	Firmware for logic analyzers based on the Cypress EZ-USB FX2(LP) chip
Summary(pl.UTF-8):	Firmware dla analizatorów logicznych opartych na układzie Cypress EZ-USB FX2(LP)
Name:		sigrok-firmware-fx2lafw
Version:	0.1.2
Release:	1
License:	GPL v2+ (firmware code), LGPL v2+ (fx2lib library)
Group:		Applications/Engineering
Source0:	http://sigrok.org/download/source/sigrok-firmware-fx2lafw/%{name}-%{version}.tar.gz
# Source0-md5:	5d0d944b23ef749a8e9f2458f4d4b680
URL:		http://sigrok.org/wiki/Fx2lafw
# sdas8051 or asx8051
BuildRequires:	sdcc >= 2.9.0
Requires:	libsigrok >= 0.1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fx2lafw is a free/libre/open-source firmware for logic analyzers based
on the Cypress EZ-USB FX2(LP) chip.

It is licensed under the terms of the GNU GPL (version 2 or later),
and uses additional helper code (fx2lib), licensed under the GNU LGPL
(version 2.1 or later).

%description -l pl.UTF-8
fx2lafw to wolnodostępne firmware dla analizatorów logicznych opartych
na układzie Cypress EZ-USB FX2(LP).

Jest udostępnione na warunkach licencji GNU GPL (w wersji 2 lub
nowszej) i wykorzystuje dodakowy kod pomocniczy (fx2lib), udostępniony
na warunkach licencji GNU LGLP (w wersji 2.1 lub nowszej).

%prep
%setup -q

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%{_datadir}/sigrok-firmware/fx2lafw-braintechnology-usb-lps.fw
%{_datadir}/sigrok-firmware/fx2lafw-cwav-usbeeax.fw
%{_datadir}/sigrok-firmware/fx2lafw-cwav-usbeedx.fw
%{_datadir}/sigrok-firmware/fx2lafw-cwav-usbeesx.fw
%{_datadir}/sigrok-firmware/fx2lafw-cypress-fx2.fw
%{_datadir}/sigrok-firmware/fx2lafw-saleae-logic.fw
%changelog
* Fri Jul 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sigrok-firmware-fx2lafw.git;a=log;h=master

* Fri Jul 25 2014 Jakub Bogusz <qboosh@pld-linux.org> add4e93
- updated to 0.1.2

* Wed Jul 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 4c4a7cd
- pl

* Fri Jan 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 39c73fe
- explictly mention fw files; don't include datadir/sigrok-firmware here

* Sun Apr 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b4db967
- up to 0.1.1

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> f3a2e74
- add missing BuildRoot

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> de4889a
- initial (based on http://g-tech.no-ip.org/~mrnuke/SPECS/)

